Description

History

#1 - 09/13/2015 05:55 AM - Luke Murphey

Drag and dropping is not going well.

var dropZone = document.getElementById('lookups_editor')

dropZone.addEventListener('drop', function(evt){console.log("got it");}, false);

#2 - 09/13/2015 05:58 AM - Luke Murphey

It appears that I cannot hook the drop handler.

#3 - 09/13/2015 05:58 AM - Luke Murphey

http://www.html5rocks.com/en/tutorials/file/dndfiles/

#4 - 09/13/2015 06:00 AM - Luke Murphey

It appears ondrop is available:

var div = document.createElement('div');

div.ondrop // exists

#5 - 09/13/2015 06:02 AM - Luke Murphey

This doesn't work either:

var dropzone = document.getElementById('drop-zone'); // exists

dropzone.drop = function(){ console.log("Droppin da filez"); }

#6 - 09/13/2015 06:04 AM - Luke Murphey

Might need to be in contentEditable  mode (http://help.dottoro.com/ljbflwps.php)
#7 - 09/13/2015 06:05 AM - Luke Murphey

http://stackoverflow.com/questions/32084053/why-is-ondrop-not-working

#8 - 09/13/2015 06:08 AM - Luke Murphey

Working example: http://plnkr.co/edit/2mW3NR0QBuPI59sDEDRo?p=preview

#9 - 09/13/2015 06:13 AM - Luke Murphey

This works?!:

    var holder = document.getElementById('drop-zone');

    console.dir(holder)

    holder.ondragenter = function (e) { e.preventDefault(); this.className = 'nicenice lvl-over'; return false

; };

    holder.ondragleave = function () { this.className = 'nicenice'; return false; };

    holder.ondragover = function (e) { e.preventDefault() }

    holder.ondrop = function (e) {

      e.preventDefault();

      console.log("GOT DROP EVENT");

      alert("dropped here");

      return false;

    };

#10 - 09/14/2015 02:58 AM - Luke Murphey

on drop is working but isn't including the file object.

#11 - 09/14/2015 04:17 AM - Luke Murphey

This works:

    var holder = document.getElementById('drop-zone');

    console.dir(holder)

    holder.ondragenter = function (e) { e.preventDefault(); return false; };

    holder.ondragleave = function () { return false; };

    holder.ondragover = function (e) { e.preventDefault(); e.dataTransfer.dropEffect = 'copy'; }

    holder.ondrop = function (e) {

      e.preventDefault();

      console.log("GOT DROP EVENT");

      alert(e.dataTransfer.files.length);

      return false;

    };
#12 - 09/19/2015 04:15 AM - Luke Murphey

- File drop_ui.png added

 

#13 - 09/20/2015 03:51 AM - Luke Murphey

http://stackoverflow.com/questions/27732216/on-drag-change-stylesheets-for-all-dropzones-file-upload
#14 - 09/20/2015 05:53 AM - Luke Murphey

https://www.iconfinder.com/icons/329409/five_gesture_hand_high_icon#size=128

https://www.iconfinder.com/icons/290138/document_extension_file_format_paper_icon#size=20

#15 - 09/20/2015 06:06 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#16 - 09/21/2015 02:58 AM - Luke Murphey

For some reason wiring up the drag handlers using Backbone and jQuery never works:

            var ondrop = function (e) {

                    e.preventDefault();

                  this.onDropFile(e);

                  return false;

            }.bind(this);

            var ondragover = function (e) {

                e.preventDefault();

                e.dataTransfer.dropEffect = 'copy';

            }.bind(this);

            $("#lookup-table")

            .on("dragover", ondragover)

            .on("drop", ondrop);

 

I get an error indicating that:

Uncaught TypeError: Cannot set property 'dropEffect' of undefined

Uncaught TypeError: Cannot read property 'files' of undefined

Files
